QGIS Application - Bug report #6205
Update format list in the "Add raster layer" dialog
2012-08-16 02:57 AM - Médéric RIBREUX

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15518
Description

Hello,

QGis 1.8 release is built with GDAL 1.9.1. This version of the library can handle lots of new file formats as you can read on the release
page . The main problem is that those file formats are not listed on the filters shown to the user who wants to open a new layer or raster.
To open those files formats, you have to select the "All files" filter which is a behavior not so natural: users generaly believe that they can
open a file only if the format is listed in the open dialog filter list.

I've tested the following file formats and they are working pretty well under QGis:

- EDIGEO
- XLS

| believe this is a bug and not a feature because it seems that QGis can open all of the new formats that OGR can open: it is only a user
dialog problem.

For the next release, if QGis is built with the 2.0 version of GDAL, you could also add ODS (Open/LibreOffice file format for spreadsheet)
in the filters.

History

#1 - 2012-08-16 09:46 AM - Giovanni Manghi

- Operating System deleted (All)

- Subject changed from QGis Open layer and raster dialogs should display all the filters for OGR/GDAL (well) managed files. to Update format list in the
"Add raster layer" dialog

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-11-14 10:00 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Estimated time set to 2.00

Hello,

since commit:56de17e, I've got all the formats | wanted. Time to shut this bug done !
